/**
 * AIT³ methodology template content
 */
export declare const AIT3_METHODOLOGY_TEMPLATE = "\n\n## AIT\u00B3 Development Methodology\n\nAIT\u00B3 (AI + Ticket + Test + Tool driven development) implements a disciplined workflow:\n\n### Workflow Phases\n1. **PLANNING** - Dialectical reasoning with Claude and Gemini\n2. **RED** - Test-first development (0% pass rate)\n3. **GREEN** - Minimal implementation (100% pass rate)\n4. **REFACTOR** - Code optimization (maintain 100% tests)\n5. **SQUASH** - Git history cleanup\n\n### Core Principles\n- Claude proposes \u2192 Gemini challenges \u2192 Human decides\n- Tests define behavior, not implementation\n- 100% test pass rate before refactoring\n- Create tickets for mock implementations\n- Pure functions with service injection\n\n### Commands\n```bash\n# Ticket management\nait3 ticket create \"Feature name\"\nait3 ticket start <id>\nait3 ticket complete <id>\n\n# AIT\u00B3 workflow\nait3 flow plan <ticketId>\nait3 flow red <ticketId>\nait3 flow green <ticketId>\nait3 flow refactor <ticketId>\nait3 flow squash <ticketId>\n```\n";
/**
 * ait3-init command guide template
 */
export declare const AIT3_INIT_GUIDE_TEMPLATE = "# Initialize Complete CLAUDE.md\n\nThis command integrates AIT\u00B3 methodology with your project-specific analysis.\n\n## Instructions\n\n### Step 1: Security Settings (Optional but Recommended)\nIf you want to restrict certain commands for security:\n```bash\nait3 install security\n```\nThis will update your .claude/settings.local.json with:\n- Deny: curl, wget, rm\n- Allow: grep, rg, ls, find (implicitly)\n\n### Step 2: Analyze and Generate CLAUDE.md\n1. Read CLAUDE.ait3.md for AIT\u00B3 template and project analysis\n2. Read .claude/CLAUDE.md for current minimal version  \n3. Analyze the project structure deeply\n4. Generate comprehensive CLAUDE.md that:\n   - Incorporates AIT\u00B3 methodology from the template\n   - Includes project-specific details and analysis\n   - Maintains the philosophical approach of AIT\u00B3\n   - Adds any additional context from your analysis\n\n### Step 3: Cleanup\nDelete CLAUDE.ait3.md as it's no longer needed:\n```bash\nrm CLAUDE.ait3.md\n```\n\n## Key Sections to Include\n- Project overview with AIT\u00B3 context\n- Architecture and technology stack\n- Development methodology (AIT\u00B3 workflow)\n- Testing strategy and requirements\n- AI collaboration patterns\n- Project-specific guidelines\n\nAfter generation, the CLAUDE.ait3.md file can be safely deleted.\n";
